<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
  $Id: vile-toc.html,v 1.123 2020/01/18 01:58:46 tom Exp $

  inputs: vile-man.html vile-hlp.html config.html macros.html modes.html filters.html menus.html perl.html dir.html Vileserv.html oleauto.html visvile.html
  update: Fri Jan 17 20:58:46 2020 EST
-->
<HTML>
<HEAD>
<TITLE>
VI Like Emacs &mdash; Table of Contents
</TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="author" href="mailto:dickey@invisible-island.net">
<link rel="SHORTCUT ICON" href="/img/icons/vile.ico" type="image/x-icon">
<link rel="stylesheet" href="/css/simplestyle.css" type="text/css">
</HEAD>
<BODY>
<hr>
<a href=
"/">http://invisible-island.net/</a><a href="/vile/">vile/</a><br>
<hr>

<!-- Table of Contents generated by Perl - HTML::Toc -->
<ul>
   <li><a href="vile-man.html#toplevel">vile(1)</a>
      <ul>
         <li><a href="vile-man.html#h2-NAME">NAME</a></li>
         <li><a href="vile-man.html#h2-SYNOPSIS">SYNOPSIS</a></li>
         <li><a href="vile-man.html#h2-DESCRIPTION">DESCRIPTION</a></li>
         <li><a href="vile-man.html#h2-SPIRIT">SPIRIT</a></li>
         <li><a href="vile-man.html#h2-OPTIONS">OPTIONS</a>
            <ul>
               <li><a href="vile-man.html#h3-COMMON-OPTIONS">COMMON OPTIONS</a></li>
               <li><a href="vile-man.html#h3-X11-OPTIONS">X11 OPTIONS</a></li>
               <li><a href="vile-man.html#h3-OBSOLETE-OPTIONS">OBSOLETE OPTIONS</a></li>
            </ul>
         </li>
         <li><a href="vile-man.html#h2-INVOCATION">INVOCATION</a></li>
         <li><a href="vile-man.html#h2-STARTUP">STARTUP</a></li>
         <li><a href="vile-man.html#h2-COMMANDS">COMMANDS</a></li>
         <li><a href="vile-man.html#h2-RELATED-PROGRAMS">RELATED PROGRAMS</a>
            <ul>
               <li><a href="vile-man.html#h3-xvile">xvile</a></li>
               <li><a href="vile-man.html#h3-vile-manfilt">vile-manfilt</a></li>
               <li><a href="vile-man.html#h3-Syntax-filters">Syntax filters</a></li>
            </ul>
         </li>
         <li><a href="vile-man.html#h2-UTILITY-SCRIPTS">UTILITY SCRIPTS</a>
            <ul>
               <li><a href="vile-man.html#h3-vile-libdir-path">vile-libdir-path</a></li>
               <li><a href="vile-man.html#h3-vile-pager">vile-pager</a></li>
               <li><a href="vile-man.html#h3-vile-to-html">vile-to-html</a></li>
            </ul>
         </li>
         <li><a href="vile-man.html#h2-ENCRYPTION">ENCRYPTION</a></li>
         <li><a href="vile-man.html#h2-ENVIRONMENT-VARIABLES">ENVIRONMENT VARIABLES</a></li>
         <li><a href="vile-man.html#h2-SEE-ALSO">SEE ALSO</a></li>
         <li><a href="vile-man.html#h2-DEBTS-and-CREDITS">DEBTS and CREDITS</a></li>
         <li><a href="vile-man.html#h2-AUTHORS">AUTHORS</a></li>
         <li><a href="vile-man.html#h2-BUGS">BUGS</a></li>
      </ul>
   </li>
   <li><a href="vile-hlp.html#toplevel">Getting along with vile</a>
      <ul>
         <li><a href="vile-hlp.html#general">General Remarks</a></li>
         <li><a href="vile-hlp.html#cmd-prefixes">Command Prefixes</a></li>
         <li><a href="vile-hlp.html#buffer-manipulation">Buffer manipulation commands</a></li>
         <li><a href="vile-hlp.html#window-manipulation">Window manipulation commands</a></li>
         <li><a href="vile-hlp.html#file-manipulation">File manipulation commands:</a></li>
         <li><a href="vile-hlp.html#shell-access">Shell Access</a></li>
         <li><a href="vile-hlp.html#text-manipulation">Text manipulation command:</a>
            <ul>
               <li><a href="vile-hlp.html#infinite-undo">Infinite Undo</a></li>
               <li><a href="vile-hlp.html#operators">Operators</a></li>
               <li><a href="vile-hlp.html#insertion">Text insertion</a></li>
               <li><a href="vile-hlp.html#searching">Searching</a></li>
               <li><a href="vile-hlp.html#vi-tags">Tags</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#misc-commands">Miscellaneous commands</a>
            <ul>
               <li><a href="vile-hlp.html#internal-state">Internal State</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#new-registers">New Registers</a></li>
         <li><a href="vile-hlp.html#command-completion">Completion</a></li>
         <li><a href="vile-hlp.html#arrow-keys">Arrow keys</a></li>
         <li><a href="vile-hlp.html#rectangular-regions">Rectangular regions</a></li>
         <li><a href="vile-hlp.html#editor-modes">Editor modes</a>
            <ul>
               <li><a href="vile-hlp.html#flavor-universal-modes">Flavor: universal modes</a></li>
               <li><a href="vile-hlp.html#flavor-buffer-modes">Flavor: buffer modes</a></li>
               <li><a href="vile-hlp.html#flavor-window-modes">Flavor: window modes</a></li>
               <li><a href="vile-hlp.html#flavor-majormodes">Flavor: majormodes (later)</a></li>
               <li><a href="vile-hlp.html#current-modes">Current mode settings</a></li>
               <li><a href="vile-hlp.html#mode-details">Modes in detail</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#eightbit-ops">8-Bit Operation</a>
            <ul>
               <li><a href="vile-hlp.html#eightbit-output">Output</a></li>
               <li><a href="vile-hlp.html#eightbit-input">Input</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#command-history">Command History</a></li>
         <li><a href="vile-hlp.html#editing-minibuffer">Editing the Minibuffer</a></li>
         <li><a href="vile-hlp.html#special-expansion">Special Character Expansion</a></li>
         <li><a href="vile-hlp.html#char-classes">Character Classes</a></li>
         <li><a href="vile-hlp.html#key-rebinding">Key Rebinding</a>
            <ul>
               <li><a href="vile-hlp.html#insert-mode">Insert mode:</a></li>
               <li><a href="vile-hlp.html#key-syntax">Syntax for key-sequences:</a></li>
               <li><a href="vile-hlp.html#function-keys">Function Keys</a></li>
               <li><a href="vile-hlp.html#map-commands">:map, :map!, :noremap, :noremap!</a></li>
               <li><a href="vile-hlp.html#abbr-commands">:abbr</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#special-rebinding">Special "Terminal" Key Rebinding</a></li>
         <li><a href="vile-hlp.html#flow-control">Flow-control</a></li>
         <li><a href="vile-hlp.html#recorded-macros">Recorded macros</a></li>
         <li><a href="vile-hlp.html#programmed">Programmed procedures (aka macros)</a>
            <ul>
               <li><a href="vile-hlp.html#numbered-macros">Numbered macros</a></li>
               <li><a href="vile-hlp.html#named-macros">Named macros</a></li>
               <li><a href="vile-hlp.html#user-defined-ops">User-defined Operators</a></li>
               <li><a href="vile-hlp.html#macro-elements">Macro Language Elements</a></li>
               <li><a href="vile-hlp.html#macro-variables">Variables</a></li>
               <li><a href="vile-hlp.html#macro-functions">Functions</a></li>
               <li><a href="vile-hlp.html#macro-directives">Directives</a></li>
               <li><a href="vile-hlp.html#macro-hooks">Hooks</a></li>
               <li><a href="vile-hlp.html#macro-examples">Macro examples</a></li>
               <li><a href="vile-hlp.html#picture-mode">Picture Mode</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#regular-expressions">Regular Expressions</a></li>
         <li><a href="vile-hlp.html#command-files">Command files</a></li>
         <li><a href="vile-hlp.html#invocation">Invocation</a>
            <ul>
               <li><a href="vile-hlp.html#commmandline-options">Command line options</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#encryption">Encryption</a></li>
         <li><a href="vile-hlp.html#crash-recovery">Crash Recovery</a>
            <ul>
               <li><a href="vile-hlp.html#unix-recovery">Unix (in priority order)</a></li>
               <li><a href="vile-hlp.html#dos-recovery">DOS and OS/2</a></li>
               <li><a href="vile-hlp.html#other-recovery">All other hosts (in priority order)</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#statusline">Mode line customization</a></li>
         <li><a href="vile-hlp.html#color-basics">Color basics</a>
            <ul>
               <li><a href="vile-hlp.html#console-vs-gui">Console/standard vile versus GUI vile</a></li>
               <li><a href="vile-hlp.html#color-palette">Color palette</a></li>
               <li><a href="vile-hlp.html#xvile-colors">xvile custom colors</a></li>
               <li><a href="vile-hlp.html#winvile-colors">winvile custom colors</a></li>
               <li><a href="vile-hlp.html#display-attrs">Display attributes</a></li>
               <li><a href="vile-hlp.html#show-colors">Show-colors command</a></li>
               <li><a href="vile-hlp.html#color-xterm">Xterms, terminfo, and termcap (Unix hosts only)</a></li>
               <li><a href="vile-hlp.html#visual-matching">Visual matching (VM)</a></li>
               <li><a href="vile-hlp.html#foreground-color">Foreground color (FC)</a></li>
               <li><a href="vile-hlp.html#background-color">Background color (BC)</a></li>
               <li><a href="vile-hlp.html#attr-controls">Attribute control sequences (ACS)</a></li>
               <li><a href="vile-hlp.html#syntax-coloring">Syntax coloring (SC)</a></li>
               <li><a href="vile-hlp.html#host-capabilities">Host capability matrix</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#syntax-filters">Syntax coloring</a>
            <ul>
               <li><a href="vile-hlp.html#color-prereqs">Prerequisites</a></li>
               <li><a href="vile-hlp.html#color-recipes">Configuration</a></li>
               <li><a href="vile-hlp.html#root-recipe">Unix install recipe &ndash; root privileges available</a></li>
               <li><a href="vile-hlp.html#user-recipe">Unix install recipe &ndash; no privileges</a></li>
               <li><a href="vile-hlp.html#manual-recipe">Manual Recipe &ndash; Win32 host</a></li>
               <li><a href="vile-hlp.html#testing-filters">Testing the configuration</a></li>
               <li><a href="vile-hlp.html#read-hook">Read-hook</a></li>
               <li><a href="vile-hlp.html#autocolor">Autocolor</a></li>
               <li><a href="vile-hlp.html#changing-filters">Changing color/attribute mappings</a></li>
               <li><a href="vile-hlp.html#caution-keywords">Caution: vile.keywords is a precious file</a></li>
               <li><a href="vile-hlp.html#filter-debugging">Troubleshooting</a></li>
               <li><a href="vile-hlp.html#force-majormode">Attaching/Forcing a buffer's majormode</a></li>
               <li><a href="vile-hlp.html#coloring-manpages">Man pages</a></li>
               <li><a href="vile-hlp.html#spell-checking">Spell checking (Unix hosts only)</a></li>
               <li><a href="vile-hlp.html#more-filters">Further reading</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#extra-colors">Setting Extra Colors</a></li>
         <li><a href="vile-hlp.html#majormodes">Majormodes</a>
            <ul>
               <li><a href="vile-hlp.html#filter-notes">Notes</a></li>
               <li><a href="vile-hlp.html#cpp-headers">Distinguishing between C/C++ include files</a></li>
               <li><a href="vile-hlp.html#builtin-majormodes">cmode: the original vile builtin majormode</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#filtering-manpages">Filtering "man" pages</a></li>
         <li><a href="vile-hlp.html#project-hierarchy">Working in a project hierarchy</a>
            <ul>
               <li><a href="vile-hlp.html#directory-nav">Directory navigation</a></li>
               <li><a href="vile-hlp.html#tag-path">Hierarchical tags</a></li>
               <li><a href="vile-hlp.html#ex-ctags">Exuberant ctags</a></li>
               <li><a href="vile-hlp.html#std-ctags">Standard ctags</a></li>
               <li><a href="vile-hlp.html#findpath">File/Directory traversal (win32/Unix hosts only)</a></li>
               <li><a href="vile-hlp.html#findpath-example">Examples (file traversal)</a></li>
               <li><a href="vile-hlp.html#find-cfg-example">Examples (directory traversal)</a></li>
               <li><a href="vile-hlp.html#findpath-notes">File/directory traversal notes</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#custom-filters">Writing your own filters</a></li>
         <li><a href="vile-hlp.html#hypertext">Hypertext</a></li>
         <li><a href="vile-hlp.html#debugging">Debugging features</a></li>
         <li><a href="vile-hlp.html#xwindows">X Window System specifics</a>
            <ul>
               <li><a href="vile-hlp.html#xvile-buttons">Mouse Buttons</a></li>
               <li><a href="vile-hlp.html#xvile-clipboard">Clipboard</a></li>
               <li><a href="vile-hlp.html#xvile-scrollbars">Scrollbars</a></li>
               <li><a href="vile-hlp.html#xwindow-options">Standard X command line arguments</a></li>
               <li><a href="vile-hlp.html#xvile-options">Additional xvile command line arguments</a></li>
               <li><a href="vile-hlp.html#process-group">Setting a new process group</a></li>
               <li><a href="vile-hlp.html#xvile-resources">X Resources</a></li>
               <li><a href="vile-hlp.html#sample-xresources">Sample .Xdefault entries</a></li>
               <li><a href="vile-hlp.html#xvile-fonts">Fonts</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#dos-stuff">DOS specifics</a></li>
         <li><a href="vile-hlp.html#vms-stuff">VMS specifics</a>
            <ul>
               <li><a href="vile-hlp.html#cdpath">Paths</a></li>
               <li><a href="vile-hlp.html#vmsvile-options">Command-Line Switches</a></li>
               <li><a href="vile-hlp.html#vmsvile-modes">Modes</a></li>
               <li><a href="vile-hlp.html#vmsvile-variables">Variables</a></li>
               <li><a href="vile-hlp.html#vmsvile-keys">Default key maps</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#win32-stuff">Win32 specifics</a>
            <ul>
               <li><a href="vile-hlp.html#winvile-vs-vile">Heritage</a></li>
               <li><a href="vile-hlp.html#winvile-options">GUI Command-Line Switches</a></li>
               <li><a href="vile-hlp.html#win32-options">Console Command-Line Switches</a></li>
               <li><a href="vile-hlp.html#w32pipes">Pipes</a></li>
               <li><a href="vile-hlp.html#w32cdpath">Paths</a></li>
               <li><a href="vile-hlp.html#w32shell">Shell</a></li>
               <li><a href="vile-hlp.html#win32-bash">Cygwin's Bash Versus Console vile</a></li>
               <li><a href="vile-hlp.html#win32-mouse">Mouse (GUI and Console)</a></li>
               <li><a href="vile-hlp.html#winvile-mouse">Winvile Mouse</a></li>
               <li><a href="vile-hlp.html#winvile-clipboard">Clipboard</a></li>
               <li><a href="vile-hlp.html#winvile-ole">OLE Automation</a></li>
               <li><a href="vile-hlp.html#ole-font">Winvile Font</a></li>
               <li><a href="vile-hlp.html#winvile-registry">Winvile registry settings</a></li>
               <li><a href="vile-hlp.html#winvile-commands">Winvile Commands</a></li>
               <li><a href="vile-hlp.html#winvile-modes">Modes</a></li>
               <li><a href="vile-hlp.html#winvile-and-vile">Configuring both editors</a></li>
            </ul>
         </li>
         <li><a href="vile-hlp.html#not-vi">Differences from vi</a></li>
         <li><a href="vile-hlp.html#sample-vilerc">Sample .vilerc</a></li>
         <li><a href="vile-hlp.html#term-scrolling">Notes on TERM types and Scrolling</a></li>
         <li><a href="vile-hlp.html#credits">Credits</a></li>
         <li><a href="vile-hlp.html#getting-vile">Where to Get It</a></li>
         <li><a href="vile-hlp.html#problems">Problems</a></li>
         <li><a href="vile-hlp.html#online-help">Online resources</a></li>
         <li><a href="vile-hlp.html#copying">Copyright</a></li>
      </ul>
   </li>
   <li><a href="config.html#toplevel">Configuring vile and xvile</a>
      <ul>
         <li><a href="config.html#building">Building vile</a></li>
         <li><a href="config.html#screentypes">Screen Types</a>
            <ul>
               <li><a href="config.html#textdrivers">Text Terminal Drivers</a></li>
               <li><a href="config.html#x11drivers">X Window Drivers</a></li>
               <li><a href="config.html#w32drivers">Win32 Drivers</a></li>
            </ul>
         </li>
         <li><a href="config.html#utf8drivers">UTF-8 Support versus Driver</a></li>
         <li><a href="config.html#syntaxopts">Syntax coloring options</a>
            <ul>
               <li><a href="config.html#fastsyntax">Fast, simple syntax coloring</a></li>
               <li><a href="config.html#simplesyntax">Slower, simple syntax coloring</a></li>
               <li><a href="config.html#complexsyntax">Complex syntax coloring</a></li>
            </ul>
         </li>
         <li><a href="config.html#buildxvile">Building xvile</a></li>
         <li><a href="config.html#installxvile">Installing (x)vile</a></li>
         <li><a href="config.html#sourcedir">Building in a separate directory</a></li>
         <li><a href="config.html#versionedprog">Building Versioned Executables</a></li>
         <li><a href="config.html#locale">Locale Support</a></li>
         <li><a href="config.html#otheroptions">Other Compile-Time Options</a></li>
         <li><a href="config.html#testingoptions">Testing/Development Options</a></li>
      </ul>
   </li>
   <li><a href="macros.html#toplevel">Programmed Macros in vile</a>
      <ul>
         <li><a href="macros.html#creating">Creating, executing, storing macros</a>
            <ul>
               <li><a href="macros.html#numbered">Numbered macros (anachronism)</a></li>
               <li><a href="macros.html#named">Named macros</a></li>
               <li><a href="macros.html#returning">Returning values</a></li>
               <li><a href="macros.html#storing">Storing macros</a></li>
            </ul>
         </li>
         <li><a href="macros.html#comments">Comments</a></li>
         <li><a href="macros.html#joining">Misc macro syntax features</a>
            <ul>
               <li><a href="macros.html#limits">Limits</a></li>
               <li><a href="macros.html#strings">Strings</a></li>
            </ul>
         </li>
         <li><a href="macros.html#variables">Variables</a></li>
         <li><a href="macros.html#tempvars">Temporary variables</a></li>
         <li><a href="macros.html#statevars">State Variables</a></li>
         <li><a href="macros.html#modevars">Mode variables</a></li>
         <li><a href="macros.html#bufvars">Buffer variables</a></li>
         <li><a href="macros.html#responses">Interactive variables</a></li>
         <li><a href="macros.html#functions">Functions</a></li>
         <li><a href="macros.html#directives">Directives</a>
            <ul>
               <li><a href="macros.html#endm">~endm</a></li>
               <li><a href="macros.html#force">~force</a></li>
               <li><a href="macros.html#hidden">~hidden</a></li>
               <li><a href="macros.html#quiet">~quiet</a></li>
               <li><a href="macros.html#conditionals">~if, ~elseif, ~else, and ~endif</a></li>
               <li><a href="macros.html#goto">~goto</a></li>
               <li><a href="macros.html#while">~while and ~endwhile</a></li>
               <li><a href="macros.html#break">~break</a></li>
               <li><a href="macros.html#return">~return</a></li>
               <li><a href="macros.html#local">~local</a></li>
               <li><a href="macros.html#withblocks">~with, ~elsewith and ~endwith</a></li>
               <li><a href="macros.html#tracing">~trace</a></li>
            </ul>
         </li>
         <li><a href="macros.html#commands">Editor commands</a>
            <ul>
               <li><a href="macros.html#simplecommands">Simple commands</a></li>
               <li><a href="macros.html#motioncommands">Motion commands</a></li>
               <li><a href="macros.html#operatorcommands">Operator commands</a></li>
            </ul>
         </li>
         <li><a href="macros.html#debuggingmacros">Debugging macros</a></li>
         <li><a href="macros.html#example">Example startup file</a></li>
         <li><a href="macros.html#credits">Credits</a></li>
      </ul>
   </li>
   <li><a href="modes.html#toplevel">Major (and minor) modes in Vile</a>
      <ul>
         <li><a href="modes.html#neededcommands">Commands</a>
            <ul>
               <li><a href="modes.html#example">Example</a></li>
               <li><a href="modes.html#definemajormode">The "define-majormode" command</a></li>
               <li><a href="modes.html#derivemajormode">The "derive-majormode" command</a></li>
               <li><a href="modes.html#definesubmode">The "define-submode" command</a></li>
               <li><a href="modes.html#removemajormode">The "remove-majormode" command</a></li>
               <li><a href="modes.html#removesubmode">The "remove-submode" command</a></li>
               <li><a href="modes.html#example2">Example</a></li>
            </ul>
         </li>
         <li><a href="modes.html#credits">Credits</a></li>
      </ul>
   </li>
   <li><a href="filters.html#toplevel">Syntax Highlighting Filters</a>
      <ul>
         <li><a href="filters.html#keywords">Keywords</a></li>
         <li><a href="filters.html#options">OPTIONS</a></li>
         <li><a href="filters.html#programs">PROGRAMS</a></li>
         <li><a href="filters.html#notes">NOTE</a></li>
      </ul>
   </li>
   <li><a href="menus.html#toplevel">XVile Menus</a>
      <ul>
         <li><a href="menus.html#searchrules">Search-Rules</a></li>
         <li><a href="menus.html#format">Format</a></li>
         <li><a href="menus.html#example">Example</a></li>
         <li><a href="menus.html#credits">Credits</a></li>
      </ul>
   </li>
   <li><a href="perl.html#toplevel">Perl Support</a>
      <ul>
         <li><a href="perl.html#credits">Credits</a></li>
      </ul>
   </li>
   <li><a href="dir.html#toplevel">Directory-Browser Perl-extension for Vile</a>
      <ul>
         <li><a href="dir.html#features">Features</a></li>
         <li><a href="dir.html#details">Details</a></li>
         <li><a href="dir.html#gettingstarted">Getting Started</a></li>
         <li><a href="dir.html#credits">Credits</a></li>
      </ul>
   </li>
   <li><a href="Vileserv.html#toplevel">Vile Server and Session Perl Extension</a>
      <ul>
         <li><a href="Vileserv.html#credits">Credits</a></li>
      </ul>
   </li>
   <li><a href="oleauto.html#toplevel">OLE Automation Support</a>
      <ul>
         <li><a href="oleauto.html#building">Build Syntax</a></li>
         <li><a href="oleauto.html#minimalcfg">Minimal Configuration</a></li>
         <li><a href="oleauto.html#registryopts">Registration Options</a></li>
         <li><a href="oleauto.html#example">Example Automation Client Access</a></li>
         <li><a href="oleauto.html#winvilewrapper">wvwrap.exe -- WinVile WRAPper</a></li>
         <li><a href="oleauto.html#wvwrapbkg">Background</a></li>
         <li><a href="oleauto.html#serverprops">Server Properties And Methods</a></li>
         <li><a href="oleauto.html#unregistering">Unregistering The Server</a></li>
         <li><a href="oleauto.html#credits">Credits</a></li>
      </ul>
   </li>
   <li><a href="visvile.html#toplevel">VisVile -- Developer Studio Support</a>
      <ul>
         <li><a href="visvile.html#prereqs">Preconditions</a></li>
         <li><a href="visvile.html#installing">Installation</a></li>
         <li><a href="visvile.html#configopts">Configuration Options</a></li>
         <li><a href="visvile.html#studioops">DevStudio Operations Affected By VisVile</a></li>
         <li><a href="visvile.html#toolbaricons">Toolbar Icons</a></li>
         <li><a href="visvile.html#keyboardaliases">Keyboard Shortcuts</a></li>
         <li><a href="visvile.html#donotforget">Don't Forget These Details</a></li>
         <li><a href="visvile.html#controllingit">Controlling DevStudio From Winvile</a></li>
         <li><a href="visvile.html#augmentingit">Augmenting Winvile Control With DevStudio Macros</a></li>
         <li><a href="visvile.html#uninstallingit">Uninstalling VisVile</a></li>
         <li><a href="visvile.html#keydefinitions">Redirectable Virtual Keycode Names (sans VK_ prefix)</a></li>
         <li><a href="visvile.html#visvimdiffs">Known Differences Between VisVile and VisVim</a></li>
         <li><a href="visvile.html#credits">Copyright And Acknowledgments</a></li>
      </ul>
   </li>
</ul>
<!-- End of generated Table of Contents -->

</body>
